set(MODULE_NAME ui_controls)

list(APPEND HEADERS
        Button.h
		ButtonData.h
        ButtonGroup.h
        Label.h
        HorizontalSpacer.h
        VerticalSpacer.h
        StackWidget.h
		TextBox.h
)

list(APPEND LIB_INCLUDES
        Button.cpp
		ButtonData.cpp
        ButtonGroup.cpp
        Label.cpp
        HorizontalSpacer.cpp
        VerticalSpacer.cpp
        StackWidget.cpp
        TextBox.cpp
)

add_library(${MODULE_NAME} SHARED ${LIB_INCLUDES} ${HEADERS})

target_include_directories(${MODULE_NAME} PUBLIC
                          ${CMAKE_CURRENT_SOURCE_DIR}/                      
                          )
target_link_libraries(${MODULE_NAME} PUBLIC ui_elements)

set_property(TARGET ${MODULE_NAME} PROPERTY FOLDER src/ui)

set_target_properties( ${MODULE_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS ON ) 